Requiring in NPM/Browserify #75

Closed
webkenny opened this Issue Jun 15, 2016 · 3 comments

Projects

None yet

2 participants

@webkenny
webkenny commented Jun 15, 2016 edited

Hi there,

I am willing to help write the README instructions for this, but how would one go about requiring this in a npm (e.g. browserify) type project? Is that not currently supported?

I ask because I did install with npm but then when including it via require('jquery-timepicker') the application throws an error saying it cannot find it.

My assumption being that it can be installed with NPM is that it would be able to be included in the traditional node manner. Truth?

If not, I am happy to write the patch to do so.

P.S. It might be helpful for you to know I am using this in Laravel which is a gulp based environment.

@wvega wvega self-assigned this Jun 15, 2016
@wvega wvega added this to the 1.3.4 milestone Jun 15, 2016
@wvega wvega added the enhancement label Jun 15, 2016
@wvega
Owner
wvega commented Jun 15, 2016

Hi @webkenny,

My assumption being that it can be installed with NPM is that it would be able to be included in the traditional node manner. Truth?

Unfortunately, I think including the plugin in the traditional node manner doesn't work right now.

I moved the plugin to npm when jQuery Plugins shutdown and recommended using npm as the new distribution channel.

Your assumption is a valid one, though. The plugin should support it!. So I'd really appreciate a patch to fix this.

P.S. It might be helpful for you to know I am using this in Laravel which is a gulp based environment.

Thanks for that! I'll try to take a look at using the plugin in a Laravel environment to understand this issue better.

If I'm getting this correct, you don't need to use anything from the plugin in a node app, you just want to be able to install the plugin using npm and use it in the browser, after you have created a bundle with Browserify. Is that right?

@webkenny

Thanks for the quick reply! Exactly right on your final comment. That's all I really want is to use it via browserify.

@wvega wvega closed this in 03c50c5 Jun 26, 2016
@wvega
Owner
wvega commented Jun 26, 2016 edited

@webkenny could you please try jQuery Timepicker 1.3.4? You should be able to use it with Browserify without issues. Thanks for reporting this!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment